package salidasautomaticas.main;

import java.util.Date;
import java.util.Timer;
import java.util.TimerTask;
import salidasautomaticas.schedule.ProgramarSalidasTask;
import salidasautomaticas.util.Metodos;

public class Main {

    public static void main(String[] args){
        System.out.println("Inicializando programa...");
        Date horaInicio = Metodos.getHoraEjecucion("08:10");
        int periodo = 86400000;//El codigo se ejecutará cada 24h, 86400000 representa 24h en milisegundos
        
        TimerTask task = new ProgramarSalidasTask();
        Timer timer = new Timer();
        timer.schedule(task , horaInicio, periodo);
    }

}
